function [DIST, AZ, BAZ] = getdistance(EVLA, EVLO, STLA, STLO)

[NDAT, NCOL] = size(STLA);

DEGKM=111.195;
RADDEG=180./3.1415827;
for i=1:NDAT
        avlat = (EVLA + STLA(i))/2.;
        dx = (STLA(i) - EVLA)*DEGKM ;
	dy = (STLO(i) - EVLO)*cosd(avlat)*DEGKM ;
        DIST(i) = sqrt(dx*dx + dy*dy);
        AZ(i) = atan2(dy,dx)*RADDEG;
        if(AZ(i) < 0) 
		AZ(i)+= 360. ;
        end
        BAZ(i) = atan2(-dy,-dx)*RADDEG;
        if(BAZ(i) < 0) 
		BAZ(i)+= 360. ;
        end
end

endfunction
