function [ km2lat, km2lon ] = getkm2latlon (EVLA, EVLO)
% For an epicenter coordinate (EVLA, EVLO) determine the
% EVLA - latitude of point
% EVLO - longitude of point
% km2lat - numebr of degrees per kilometer of latitude
% km2lon - numebr of degrees per kilometer of longitude

% Get the conversion factor numerically. This may be the 
% onlay way to do this for a spherical earth. So this is very general

[dlatkm, az1, baz1] = getdistance(EVLA-0.05, EVLO, EVLA+0.05, EVLO);
km2lat = 0.1/ dlatkm ;
[dlonkm, az1, baz1] = getdistance(EVLA, EVLO-0.05, EVLA, EVLO+0.05);
km2lon =  0.1/dlonkm ;
endfunction
